#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a, b, x, y;
    cin >> a >> b >> x >> y;
    if(a == x && b == y)
        cout << "nijedan" << endl;
    else
    if(a > x && b == y )
        cout << "prvi" << endl;
    else
    if(a == x && b > y )
        cout << "drugi" << endl;
    else
        cout << "?" << endl;
    return 0;
}